*,
*:after,
*:before {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: 'ubuntu';
}

:root {
    --color: #6a6a6a;
    --color-text: #fff;
}

input[type="text"]:focus {
    outline: none;
}

.section_visual {
    display: flex;
    height: 100vh
}

#canvas_app {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.sidebar_left {
    width: 6%;
    padding-top: 30px;
    background: var(--color);
    filter: drop-shadow(0px 0 7px black);
    z-index: 9;
    margin: 20px 0 20px 20px;
    border-radius: 7px 0 0 7px;
    position: absolute;
    height: 650px;
    display: flex;
    flex-direction: column;
}

.sidebar_left ul {
    list-style: none;
}

.sidebar_left ul img {
    width: 60px;
    transition: .2s ease;
}

.sidebar_left>ul li:not(.logo) img {
    filter: grayscale(1);
}

.sidebar_left ul img:hover {
    filter: drop-shadow(2px 3px 2px black);
}

.sidebar_left ul li {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 30px;
    color: var(--color-text);
    font-size: 14px;
    padding: 10px 0;
    cursor: pointer;
}

.section_line_prv {
    margin-top: 30px;
}

.section_line_prv ul {
    margin-top: 25px;
    width: 100%;
}

.section_line_prv ul li {
    margin-bottom: 0;
}

.section_line_prv ul li {
    flex-direction: row;
    justify-content: center;
    padding: 20px 0;
    transition: .3s ease;
}

.section_line_prv ul li.active {
    background: #bfbfbf;
}

.section_line_prv ul li.active .color_b {
    fill: #ff7700
}

.section_line_prv ul li.active .black_b {
    fill: #444444
}

.section_line_prv ul li:hover {
    background: #bfbfbf;
}

.section_line_prv ul li:hover svg .color_b {
    fill: #ff7700
}

.section_line_prv ul li:hover svg .black_b {
    fill: #444444
}

.section_line_prv p {
    color: #fff
}

.section_line_prv__text {
    margin-left: 21px;
    width: 50%
}

.prv_title {
    font-size: 22px;
    font-weight: bold;
}

.prv_text {
    font-size: 13px;
}

.sidebar_left>ul li[data-target=disabled] {
    opacity: 0.3;
    pointer-events: none;
}

.sidebar_left ul li.menu_active {
    background: #505050;
}

.sidebar_left ul li.menu_active img {
    filter: grayscale(0);
}

.sidebar_left ul li:hover img {
    filter: grayscale(0);
}

.render_visual {
    position: relative;
    width: 100%;
}

.container_element {
    background: #302f2f;
    position: absolute;
    width: 295px;
    right: -295px;
    top: 0;
    height: 100%;
    border-radius: 0 7px 7px 0;
    overflow-y: scroll;
}

.section_line_show {
    margin-top: 30px;
    color: #fff
}

.section_line_show .active {
    background: #bfbfbf;
}

.container_element .section_line_show ul {
    width: 100%;
    text-align: center;
    margin-top: 25px;
}

.container_element .section_line_show ul li {
    color: #fff;
    flex-direction: row;
    font-size: 18px;
    padding: 20px 6px 20px 26px;
    transition: .3s ease;
    cursor: pointer;
    margin-bottom: 0;
    position: relative;
}

.container_element .section_line_show ul li:not(:last-child):after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    width: 80%;
    height: 1px;
    background: #cccccc6b;
}

.container_element .section_line_show ul li:hover {
    background: #bfbfbf;
}

.container_element .section_line_show ul li div {
    width: 40px;
    height: 40px;
    overflow: hidden;
    border-radius: 50%;
    margin-right: 15px;
}

.container_element .section_line_show ul li div img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.flex_all {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.block_all_kirpich,
#all_list_kirpich {
    flex-direction: column;
}

.block_all_kirpich {
    width: 100%;
    overflow-y: auto
}

::-webkit-scrollbar {
    width: 4px;
    background-color: rgba(116, 94, 101, 0.4)
}

::-webkit-scrollbar-thumb {
    height: 40px;
    background-color: #fff
}

.all_add_k {
    width: 30px;
    margin-top: 20px;
    cursor: pointer;
    filter: invert(1);
}

.first_cheme,
.block_all_kirpich {
    height: 100%
}

[data-display="false"] {
    display: none
}

[data-display="true"] {
    display: flex
}

.new_item {
    width: 25px;
    margin-left: 9px;
    filter: invert(1);
    cursor: pointer;
}

.block_add-item {
    display: flex;
    align-items: center;
    height: auto;
    justify-content: center;
    padding: 15px 0;
    /* position: absolute;
    bottom: 0;
    left: 0;
    right: 0; */
    background: #4d4d4d;
    z-index: 9;
}

.list_kirpich {
    height: 100%;
    padding-top: 10px;
    width: 100%;
    overflow-y: scroll;
    background: #302f2f;
}

.list_kirpich ul {
    display: flex;
    flex-direction: column;
    list-style: none;
    width: 100%
}

.list_kirpich ul li {
    color: #000;
    position: relative;
}

.list_kirpich ul li img {
    width: 210px;
    object-fit: cover;
    height: 80px;
    border-radius: 50px;
    filter: brightness(0.6);
}

.list_kirpich ul li p {
    color: #fff;
    transform: translateY(-50%);
    font-size: 15px;
    font-weight: bold;
    z-index: 9
}

#all_list_kirpich {
    display: flex;
    align-items: center;
    padding: 20px 0 0 0;
}

.element_kirp__title {
    margin: 5px 0;
    position: absolute;
    top: -5px;
    font-size: 12px;
    left: 3%;
    width: 94%;
    background: #00000052;
    padding: 7px;
    text-align: left;
    line-height: 1.3;
}

.element_kirp {
    text-align: center;
    position: relative;
    margin-bottom: 30px;
    overflow: hidden;
    width: 100%;
    padding: 0 10px;
}

.element_kirp:last-child {
    margin-bottom: 10px;
}

.element_kirp img {
    width: 100%;
    height: 95px;
    object-fit: cover;
}

.element_kirp:after {
    content: '';
    position: absolute;
    bottom: -27px;
    height: 1px;
    width: 100%;
    background: #edededd6;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    margin: auto;
    justify-content: center;
}

.value_range {
    background: #6a6a6a;
    width: 28px;
    padding: 4px;
    margin-top: 10px;
    border-top: none;
    border-right: none;
    border-left: none;
    border-image: initial;
    text-align: center;
    position: absolute;
    bottom: 26px;
    right: 10px;
    color: rgb(255, 255, 255);
}

.section_line_kirpich {
    height: 100%;
    background: #302f2f;
    color: #fff;
}

.container_element>div {
    width: 100%;
    flex-direction: column;
    align-items: center;
}

.container_element>div>p {
    font-size: 25px
}

.first_cheme {
    margin: auto;
    text-align: center;
}

.element_kirp__input .del_element img {
    width: 15px;
    height: auto;
    cursor: pointer;
}

.element_kirp__input .edit_element img {
    width: 15px;
    height: auto;
    cursor: pointer;
}

.element_kirp__input button.del_element {
    top: -60px;
    right: 20px;
    transition: .3s ease;
    transition-delay: .1s;
}

.element_kirp__input button.edit_element {
    top: -60px;
    right: 20px;
    transition: .3s ease;
    transition-delay: .3s;
}

.element_kirp__input button {
    position: absolute;
    border: none;
    background: transparent;
}

.element_kirp:hover .del_element {
    top: 5px
}

.element_kirp:hover .edit_element {
    top: 30px
}

.element_kirp:before {
    content: '';
    width: 100%;
    height: 100%;
    background: transparent;
    position: absolute;
    top: -23px;
}

.range_element {
    position: relative;
}

.download_box__hover {
    display: none;
    flex-direction: column;
    background: #ffffff;
    padding: 22px;
    position: absolute;
    bottom: 60px;
    right: -86px;
    z-index: 99;
    width: max-content;
    box-shadow: rgb(38 57 77) 0px 20px 30px -10px;
    transition: .3s ease;
    border-radius: 10px;
}

.download_box {
    text-align: center;
    margin-top: auto;
    margin-bottom: 10px;
    position: relative;
}

.download_box>img {
    width: 47px
}

.download_box__hover:after {
    width: 100%;
    height: 100%;
    bottom: -23%;
    position: absolute;
    content: '';
    left: 0;
}

.download_box__hover:before {
    content: '';
    border: 8px solid transparent;
    border-top: 8px solid white;
    width: 10px;
    position: absolute;
    bottom: -16px;
    left: 0;
    right: 83px;
    margin: auto;
}

.download_box__hover img {
    width: 47px
}

.download_box:hover .download_box__hover {
    display: flex;
}

.download_box__hover:hover {
    box-shadow: rgb(0 0 0 / 25%) 0px 0.0625em 0.0625em, rgb(0 0 0 / 25%) 0px 0.125em 0.5em, rgb(255 255 255 / 10%) 0px 0px 0px 1px inset
}

.download_box__hover--div {
    display: flex;
    margin-top: 15px;
    justify-content: center;
}

#link_jpg {
    margin-right: 10px;
    z-index: 999;
}

.download_box__hover--div {
    cursor: pointer;
}

.download_box__hover--div a span {
    display: none;
    align-items: center;
    justify-content: center;
    height: 317px;
    position: absolute;
    width: 245px;
    background: #fff;
    top: -186px;
    right: -248px;
    border-radius: 12px;
}

.download_box__hover--div a:hover span {
    display: flex;
}

.download_box__hover--div a {
    position: relative;
}

.download_box__hover--div a canvas {
    width: 100% !important;
    height: 86% !important;
    object-fit: cover;
    object-position: 9%;
    transition: 2s ease;
}

.download_box__hover--div a span p {
    position: absolute;
    color: #fff;
    z-index: 9
}

.download_box__hover--div a span:after {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(12, 1, 1, 0.555);
    border-radius: 12px;
}

.download_box__hover--div a span:before {
    content: '';
    position: absolute;
    height: 100%;
    top: 0;
    left: -9px;
    display: block;
    width: 44px;
}

.download_box__hover--div a span:hover canvas {
    object-position: 100%;
}

#link_pdf {
    z-index: 99
}

#link_pdf img {
    cursor: pointer;
    z-index: 99;
}

.popap_open_section {
    position: fixed;
    left: 0;
    top: 50%;
    z-index: 9999;
    display: none;
    flex-direction: column;
    align-items: center;
    background: #ffffff;
    padding: 10px;
    box-shadow: rgb(0 0 0 / 35%) 0px 5px 15px;
    cursor: pointer;
}

.popap_open_section img {
    width: 28px;
}

.prev_menu ul {
    display: none
}

ul.prev_menu li {
    width: 96%;
    padding-top: 0;
}

ul.prev_menu>li {
    margin-bottom: 6px;
    height: 77px;
    transition: .2s ease
}

ul.prev_menu>li:hover {
    filter: none !important
}

.prev_menu {
    align-items: center;
    height: max-content;
}

ul.prev_menu li img {
    border-radius: 0;
    width: 100%;
    filter: none;
    position: absolute;
    top: 0;
    height: 100%
}

.prev_menu__title-top {
    z-index: 9;
    padding: 12px 10px 0 10px;
    width: 100%;
    height: 25px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-image: linear-gradient(to top right, rgba(0, 0, 0, 0.21), rgba(0, 0, 0, 0.21), rgba(0, 0, 0, 0.22), rgba(0, 0, 0, 0.22), rgba(0, 0, 0, 0.22), rgba(0, 0, 0, 0.22), rgba(0, 0, 0, 0.23), rgba(0, 0, 0, 0.23), rgba(0, 0, 0, 0.23), rgba(0, 0, 0, 0.23), rgba(0, 0, 0, 0.24), rgba(0, 0, 0, 0.24));
}

li div.prev_menu__title-top>p {
    font-size: 12px;
    left: 8px;
    font-weight: 500;
}

li div.prev_menu__title-top>div {
    z-index: 9999;
    display: block;
    position: relative;
}

li div.prev_menu__title-top>div p {
    font-size: 12px;
    font-weight: 500;
}

li div.prev_menu__title-top>div p img {
    width: 7px;
    height: auto;
    filter: none;
    margin-left: 5px;
    position: relative;
    top: 1px;
}

.menu_all_kirp {
    position: absolute;
    padding-right: 5px;
    align-items: flex-end;
    right: 2px;
    top: 11px;
    height: 56px;
    overflow-y: auto;
}

ul.menu_all_kirp li {
    margin-bottom: 5px;
    padding: 0;
    color: #fff;
    font-size: 12px;
    align-items: flex-end;
}

.menu_all_kirp.active {
    display: flex;
}

.list_kirpich::-webkit-scrollbar,
#all_list_kirpich::-webkit-scrollbar {
    width: 5px;
    background-color: #ffffff85
}

.menu_all_kirp::-webkit-scrollbar {
    width: 4px;
    background-color: #ffffff85
}

.menu_all_kirp::-webkit-scrollbar-thumb,
.list_kirpich::-webkit-scrollbar-thumb,
#all_list_kirpich::-webkit-scrollbar-thumb {
    height: 40px;
    background-color: #fff
}

.block_prev_layout {
    display: flex;
    align-items: center;
    justify-content: center;
    background: #4d4d4d;
    padding: 7px 0;
}

.block_prev_layout p {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 12px;
    border: 2px solid #fff;
    width: 28px;
    height: 28px;
}

.block_prev_layout img {
    width: 13px;
    cursor: pointer;
}

.pdf_section {
    width: 780px;
}

.pdf_section>img {
    width: 100px;
    display: flex;
    margin: 20px auto;
}

.pdf_section table {
    border-collapse: collapse;
    width: 100%
}

.pdf_section table tr {
    height: 57px;
}

.pdf_section table tr:not(:first-child) td:nth-of-type(2) {
    margin-left: 15px;
    padding-left: 15px;
    font-size: 15px;
    font-weight: bold;
}

.pdf_section table tr:not(:first-child) td:nth-of-type(3) {
    text-align: center;
}

.pdf_section table tr td:first-child {
    width: 150px
}

.pdf_section table tr img,
.pdf_section__left {
    width: 100%;
}

.pdf_section table tr:not(:last-child) {
    border-bottom: 1px solid #ebebeb;
}

.pdf_section table tr:first-child {
    background: var(--color);
    color: #fff;
    text-align: center;
    height: 40px;
}

.pdf_section table tr:first-child td:nth-of-type(2) {
    padding-right: 120px
}

.pdf_section__left>p {
    margin: 10px 0;
    text-align: center;
}

.pdf_section__right {
    width: 100%;
    text-align: right;
    margin-top: 22px;
    font-size: 15px;
}

.pdf_section_load {
    opacity: 0;
    position: absolute;
    top: 0;
    z-index: -1;
}

.pdf_section__kladka {
    overflow: hidden;
}

.pdf_section__kladka img {
    width: 100%;
    transform: scale(2);
    height: 370px;
    object-fit: cover;
}

.download_box__text {
    display: none
}

.circle-loader {
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-left-color: #5cb85c;
    animation: loader-spin 1.2s infinite linear;
    position: relative;
    display: inline-block;
    vertical-align: top;
    border-radius: 50%;
    width: 3em;
    height: 3em;
}

.load-complete {
    -webkit-animation: none;
    animation: none;
    border-color: #5cb85c;
    transition: border 500ms ease-out;
}

.checkmark {
    display: none;
}

.checkmark.draw:after {
    animation-duration: 800ms;
    animation-timing-function: ease;
    animation-name: checkmark;
    transform: scaleX(-1) rotate(135deg);
}

.checkmark:after {
    opacity: 1;
    height: 24px;
    width: 11px;
    transform-origin: left top;
    border-right: 3px solid #5cb85c;
    border-top: 3px solid #5cb85c;
    content: "";
    left: 11px;
    top: 26px;
    position: absolute;
}

@keyframes loader-spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@keyframes checkmark {
    0% {
        height: 0;
        width: 0;
        opacity: 1;
    }
    20% {
        height: 0;
        width: 11px;
        opacity: 1;
    }
    40% {
        height: 24px;
        width: 11px;
        opacity: 1;
    }
    100% {
        height: 24px;
        width: 11px;
        opacity: 1;
    }
}

@media (max-width:600px) {
    .popap_open_section {
        display: flex
    }
    div.sidebar_left {
        padding-top: 0px;
        margin: 0;
        max-height: 133px;
        width: 100%
    }
    .sidebar_left>ul {
        display: flex;
        justify-content: center;
        width: 100%;
        height: 100px;
    }
    .download_box {
        margin-top: 4px
    }
    .container_element {
        top: auto;
        bottom: -100vh;
        left: 0;
        right: 0;
        width: 100%;
        height: 100vh;
    }
    .sidebar_left>ul li {
        padding: 13px;
        justify-content: center;
    }
    .sidebar_left>ul img {
        width: 40px
    }
    .container_element .section_line_show ul,
    .section_line_prv ul {
        flex-direction: column;
        margin-top: 110px;
    }
    .container_element .section_line_show ul li {
        padding-left: 30%;
        justify-content: end;
    }
    .list_kirpich>ul {
        height: max-content
    }
    .list_kirpich ul li p {
        left: 0;
        right: 0;
        text-align: center
    }
    .download_box {
        bottom: 0px;
        z-index: 999;
        position: absolute;
        left: 0;
        right: 0;
        border-top: 1px solid #ccc;
    }
    .download_box__img {
        position: relative;
        top: 7px;
    }
    .download_box__hover {
        left: 0;
        right: 0;
        margin: auto;
        bottom: -141px;
    }
    .download_box__hover:before {
        border-bottom: 8px solid white;
        bottom: auto;
        top: -7px;
        left: 0;
        right: 0;
        border-top: 0
    }
}

@media (max-width:1200px) {
    .sidebar_left{
        width:100px  
    }
}

@font-face {
    font-family: 'ubuntu';
    src: url('../fonts/ubuntu.ttf') format('truetype');
}
